Magick++: Magick::DrawableStrokeColor Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableStrokeColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeColor:
[legend]
Collaboration diagram for Magick::DrawableStrokeColor:
[legend]

## Public Member Functions
| DrawableStrokeColor (const Color &color_)
| DrawableStrokeColor (const DrawableStrokeColor &original_)
| ~DrawableStrokeColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | color (const Color &color_)
Color | color (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1910 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableStrokeColor() [1/2]

Magick::DrawableStrokeColor::DrawableStrokeColor | ( | const Color & | color_ | ) |

Definition at line 1381 of file Drawable.cpp.

## ◆ DrawableStrokeColor() [2/2]

Magick::DrawableStrokeColor::DrawableStrokeColor | ( | const DrawableStrokeColor & | original_ | ) |

Definition at line 1386 of file Drawable.cpp.

## ◆ ~DrawableStrokeColor()

Magick::DrawableStrokeColor::~DrawableStrokeColor | ( | void |  | ) |

Definition at line 1391 of file Drawable.cpp.

## Member Function Documentation

## ◆ color() [1/2]

void Magick::DrawableStrokeColor::color | ( | const Color & | color_ | ) |
| inline

Definition at line 1925 of file Drawable.h.

## ◆ color() [2/2]

Color Magick::DrawableStrokeColor::color | ( | void |  | ) | const
| inline

Definition at line 1929 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableStrokeColor::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1403 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableStrokeColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1395 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp